'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

exports.default = function (_ref) {
	var t = _ref.types;

	return {
		visitor: {
			DebuggerStatement: function DebuggerStatement(path) {
				path.remove();
			},
			CallExpression: function CallExpression(path) {
				var isMatched = stripFunctionNameList.some(function (fnName) {
					var calleePath = path.get('callee');
					if (calleePath.matchesPattern(fnName)) {
						return !calleePath.node.computed;
					}
					return calleePath.node.name === fnName;
				});
				if (isMatched) {
					path.replaceWith(t.unaryExpression('void', t.numericLiteral(0)));
				}
			}
		}
	};
};

var stripFunctionNameList = ["alert", "window.alert", "console.log", "window.console.log"];